gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.UpdateTypeGType)) Provides a method of indicating how 'updates' should occur.

The purpose of this type is most easily explained in the context of its use. , a base class for slider widgets such as , uses an UpdateType to determine how often to update a text value when the user is dragging a slider bar around.

- Field
  2.12.0.0
  Gtk.UpdateType Indicates that updates should occur as soon as possible.
- Field
  2.12.0.0
  Gtk.UpdateType Indicates that updates should happen as often as possible, but a delay between an action and its update, is allowed.
- Field
  2.12.0.0
  Gtk.UpdateType Indicates that updates are not urgent.

  This typically indicates that a whole group of updates can be done at once when a user action has finished.